unit AuthServerModule;

interface

uses
  System.SysUtils, System.Classes, Aurelius.Drivers.SQLite,
  Aurelius.Comp.Connection,
  Aurelius.Drivers.Interfaces,
  XData.Aurelius.ConnectionPool, XData.Server.Module, XData.Comp.ConnectionPool,
  Sparkle.Comp.Server, Sparkle.Comp.JwtMiddleware, XData.Comp.Server,
  Sparkle.Comp.HttpSysDispatcher, Sparkle.HttpServer.Module,
  Sparkle.HttpServer.Context;

type
  TServerModule = class(TDataModule)
    AureliusConnection1: TAureliusConnection;
    SparkleHttpSysDispatcher1: TSparkleHttpSysDispatcher;
    XDataConnectionPool1: TXDataConnectionPool;
    XDataServer1: TXDataServer;
  private
    { Private declarations }
  public
    { Public declarations }
    procedure StartServer;
  end;

var
  ServerModule: TServerModule;

implementation

{%CLASSGROUP 'Vcl.Controls.TControl'}

{$R *.dfm}


{ TServerModule }

procedure TServerModule.StartServer;
begin
  SparkleHttpSysDispatcher1.Start;
end;

end.
